group "CommodityProduct.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
commodityBase??, specifiedPrice, deliveryDates?

Content Model Elements (3):

  commodityBase, deliveryDates, specifiedPrice

Known Usage Locations

- In definitions of global complexTypes (1):
  Commodity

Annotation
A group used to specify details of a commodity underlyer.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommodityProduct.model"> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityReferencePriceFramework.model"/> <xsd:element name="specifiedPrice" type="SpecifiedPriceEnum"/> <xsd:sequence minOccurs="0"> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="deliveryDates" type="DeliveryDatesEnum"/> <!--View Generation: SKIPPED deliveryDateRollConvention - NonStandardFeature--> </xsd:sequence> <!--View Generation: SKIPPED multiplier - NonStandardFeature--> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/3)
deliveryDates

  Type: | DeliveryDatesEnum, simple content

  The 'deliveryDates' element is applicable for a Commodity Reference Price that references a listed future contract (e.g. The Delivery Date is a NearbyMonth).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationPeriod" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the futures contract that corresponds to the month and year of the Calculation Period. e.g. The JAN 09 contract when pricing in January '09 (In the case of contracts like Brent crude, this will mean that the contract expired in DEC 08.) See: http://www.FpML.org
  "FirstNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the First Nearby Month futures contract. See: http://www.FpML.org
  "SecondNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Second Nearby Month futures contract. See: http://www.FpML.org
  "ThirdNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Third Nearby Month futures contract. See: http://www.FpML.org
  "FourthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Fourth Nearby Month futures contract. See: http://www.FpML.org
  "FifthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Fifth Nearby Month futures contract. See: http://www.FpML.org
  "SixthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Sixth Nearby Month futures contract. See: http://www.FpML.org
  "SeventhNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Seventh Nearby Month futures contract. See: http://www.FpML.org
  "EighthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Eighth Nearby Month futures contract. See: http://www.FpML.org
  "NinthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Ninth Nearby Month futures contract. See: http://www.FpML.org
  "TenthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Tenth Nearby Month futures contract. See: http://www.FpML.org
  "EleventhNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Eleventh Nearby Month futures contract. See: http://www.FpML.org
  "TwelfthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Twelfth Nearby Month futures contract. See: http://www.FpML.org
  "ThirteenthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Thirteenth Nearby Month futures contract. See: http://www.FpML.org
  "FourteenthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Fourteenth Nearby Month futures contract. See: http://www.FpML.org
  "Spot" | - | The Delivery Date of the underlying Commodity shall be the Spot date. See: http://www.FpML.org
  "FirstNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the First Nearby Week. See: http://www.FpML.org
  "SecondNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Second Nearby Week. See: http://www.FpML.org
  "ThirdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Third Nearby Week. See: http://www.FpML.org
  "FourthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fourth Nearby Week. See: http://www.FpML.org
  "FifthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifth Nearby Week. See: http://www.FpML.org
  "SixthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Sixth Nearby Week. See: http://www.FpML.org
  "SeventhNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Seventh Nearby Week. See: http://www.FpML.org
  "EighthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Eighth Nearby Week. See: http://www.FpML.org
  "NinthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Ninth Nearby Week. See: http://www.FpML.org
  "TenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Tenth Nearby Week. See: http://www.FpML.org
  "EleventhNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Eleventh Nearby Week. See: http://www.FpML.org
  "TwelfthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twelfth Nearby Week. See: http://www.FpML.org
  "ThirteenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirteenth Nearby Week. See: http://www.FpML.org
  "FourteenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fourteenth Nearby Week. See: http://www.FpML.org
  "FifteenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifteenth Nearby Week. See: http://www.FpML.org
  "SixteenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Sixteenth Nearby Week. See: http://www.FpML.org
  "SeventeenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Seventeenth Nearby Week. See: http://www.FpML.org
  "EighteenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Eighteenth Nearby Week. See: http://www.FpML.org
  "NineteenthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Nineteenth Nearby Week. See: http://www.FpML.org
  "TwentiethNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twentieth Nearby Week. See: http://www.FpML.org
  "TwentyFirstNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty First Nearby Week. See: http://www.FpML.org
  "TwentySecondNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Second Nearby Week. See: http://www.FpML.org
  "TwentyThirdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Third Nearby Week. See: http://www.FpML.org
  "TwentyFourthearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Fourth Nearby Week. See: http://www.FpML.org
  "TwentyFifthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Fifth Nearby Week. See: http://www.FpML.org
  "TwentySixthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Sixth Nearby Week. See: http://www.FpML.org
  "TwentySeventhNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Seventh Nearby Week. See: http://www.FpML.org
  "TwentyEighthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Eighth Nearby Week. See: http://www.FpML.org
  "TwentyNinthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Ninth Nearby Week. See: http://www.FpML.org
  "ThirtiethNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirtieth Nearby Week. See: http://www.FpML.org
  "ThirtyFirstNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty First Nearby Week. See: http://www.FpML.org
  "ThirtySecondNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Second Nearby Week. See: http://www.FpML.org
  "ThirtyThirdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Third Nearby Week. See: http://www.FpML.org
  "ThirtyFourthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Fourth Nearby Week. See: http://www.FpML.org
  "ThirtyFifthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Fifth Nearby Week. See: http://www.FpML.org
  "ThirtySixthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Sixth Nearby Week. See: http://www.FpML.org
  "ThirtySeventhNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Seventh Nearby Week. See: http://www.FpML.org
  "ThirtyEighthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Eighth Nearby Week. See: http://www.FpML.org
  "ThirtyNinthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Ninth Nearby Week. See: http://www.FpML.org
  "FortiethNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fortieth Nearby Week. See: http://www.FpML.org
  "FortyFirstNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty First Nearby Week. See: http://www.FpML.org
  "FortySecondNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Second Nearby Week. See: http://www.FpML.org
  "FortyThirdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Third Nearby Week. See: http://www.FpML.org
  "FortyFourthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Fourth Nearby Week. See: http://www.FpML.org
  "FortyFifthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Fifth Nearby Week. See: http://www.FpML.org
  "FortySixthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Sixth Nearby Week. See: http://www.FpML.org
  "FortySeventhNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Seventh Nearby Week. See: http://www.FpML.org
  "FortyEighthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Eighth Nearby Week. See: http://www.FpML.org
  "FortyNinthNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Ninth Nearby Week. See: http://www.FpML.org
  "FiftiethNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fiftieth Nearby Week. See: http://www.FpML.org
  "FiftyFirstNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifty First Nearby Week. See: http://www.FpML.org
  "FiftySecondNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifty Second Nearby Week. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryDates" type="DeliveryDatesEnum"/>

specifiedPrice

  Type: | SpecifiedPriceEnum, simple content

  The 'specified Price' describes the nature of the underlying price that is observed. It must be be stated in the underlyer definition as it is not defined in the Commodity Reference Price. Example values of 'specifiedPrice' are 'Settlement' (for a futures contract) and 'WeightedAverage' (for some published prices and indices).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Afternoon" | - | The Specified Price shall be the Afternoon fixing reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Ask" | - | The Specified Price shall be the Ask price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Bid" | - | The Specified Price shall be the Bid price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Closing" | - | The Specified Price shall be the Closing price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "High" | - | The Specified Price shall be the High price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Index" | - | The Specified Price shall be the Index price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "MeanOfBidAndAsk" | - | The Specified Price shall be the Average of the Bid and Ask prices reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "LocationalMarginal" | - | The Specified Price shall be the Locational Marginal price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Low" | - | The Specified Price shall be the Low price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "MarginalHourly" | - | The Specified Price shall be the Marginal Hourly price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "MarketClearing" | - | The Specified Price shall be the Market Clearing price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "MeanOfHighAndLow" | - | The Specified Price shall be the Average of the High and Low prices reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Morning" | - | The Specified Price shall be the Morning fixing reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Official" | - | The Specified Price shall be the Official price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Opening" | - | The Specified Price shall be the Opening price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "OSP" | - | The Specified Price shall be the Official Settlement Price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Settlement" | - | The Specified Price shall be the Settlement price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Spot" | - | The Specified Price shall be the Spot price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Midpoint" | - | The Specified Price shall be the Average of the Midpoint of prices reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "NationalSingle" | - | The Specified Price shall be the National Single price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "WeightedAverage" | - | The Specified Price shall be the Volume Weighted Average of prices effective on the Pricing Date reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "UnWeightedAverage" | - | The Specified Price shall be the Non-volume Weighted Average of prices effective on the Pricing Date reported in or by the relevant Price Source as specified in the relevant Confirmation.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="specifiedPrice" type="SpecifiedPriceEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.